[FFmpeg-devel] [PATCH] [RFC] use a wrapper script to call MS link.exe to avoid mixing with /usr/bin/link.exe

Steve Lhomme robux4 at gmail.com
Fri Jul 24 09:38:04 CEST 2015


--
favor link over link.exe in case some wrapper script already exists
fallback to "link" in the path if the one next to cl is not found
moved mslink next to makedef in compat/windows
---
 compat/windows/mslink | 9 +++++++++
 configure             | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)
 create mode 100755 compat/windows/mslink

diff --git a/compat/windows/mslink b/compat/windows/mslink
new file mode 100755
index 0000000..76ce873
--- /dev/null
+++ b/compat/windows/mslink
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+LINK_EXE_PATH=$(dirname "$(command -v cl)")/link
+if [ -x "$LINK_EXE_PATH" ]; then
+    "$LINK_EXE_PATH" $@
+else
+    link $@
+fi
+exit $?
diff --git a/configure b/configure
index ac2a71d..5ef2e0d 100755
--- a/configure
+++ b/configure
@@ -2633,7 +2633,7 @@ case "$toolchain" in
         else
             cc_default="c99wrap cl"
         fi
-        ld_default="link"
+        ld_default="$source_path/compat/windows/mslink"
         nm_default="dumpbin -symbols"
         ar_default="lib"
         target_os_default="win32"
-- 
2.4.5



More information about the ffmpeg-devel mailing list